org.eclipse.emf.cdo.transfer.spi.repository

## Class RepositoryTransferSystem

- java.lang.Object
- - org.eclipse.emf.cdo.transfer.CDOTransferSystem
  - - org.eclipse.emf.cdo.transfer.spi.repository.RepositoryTransferSystem

-     public class RepositoryTransferSystem
      extends CDOTransferSystem

  A CDO `repository`-based implementation of a `transfer system`.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepositoryTransferSystem(CDOView view)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createBinary(IPath path, java.io.InputStream source, IProgressMonitor monitor)`
    `void` | `createFolder(IPath path)`
    `void` | `createText(IPath path, java.io.InputStream source, java.lang.String encoding, IProgressMonitor monitor)`
    `CDOTransferType` | `getDefaultTransferType(CDOTransferElement element)`
    `CDOTransferElement` | `getElement(IPath path)`
    `CDOTransferElement` | `getElement(URI uri)`
    `java.lang.String` | `getType()`
    `URI` | `getURI(IPath path)`
    `CDOView` | `getView()`
    `RepositoryTransferSystem` | `makeWriteable()`
    `protected ResourceSet` | `provideResourceSet()`
    `void` | `saveModels(EList<Resource> resources, IProgressMonitor monitor)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.eclipse.emf.cdo.transfer.CDOTransferSystem

      `createModel, getElement, isReadOnly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final java.lang.String TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RepositoryTransferSystem

          public RepositoryTransferSystem(CDOView view)

  - ### Method Detail

    - #### getType

          public java.lang.String getType()

      Specified by:
        `getType` in class `CDOTransferSystem`

    - #### getView

          public CDOView getView()

    - #### makeWriteable

          public RepositoryTransferSystem makeWriteable()

    - #### getDefaultTransferType

          public CDOTransferType getDefaultTransferType(CDOTransferElement element)

      Overrides:
        `getDefaultTransferType` in class `CDOTransferSystem`

    - #### provideResourceSet

          protected ResourceSet provideResourceSet()

      Overrides:
        `provideResourceSet` in class `CDOTransferSystem`

    - #### getURI

          public URI getURI(IPath path)

      Specified by:
        `getURI` in class `CDOTransferSystem`

    - #### getElement

          public CDOTransferElement getElement(IPath path)

      Specified by:
        `getElement` in class `CDOTransferSystem`

    - #### getElement

          public CDOTransferElement getElement(URI uri)

      Specified by:
        `getElement` in class `CDOTransferSystem`

    - #### createFolder

          public void createFolder(IPath path)

      Specified by:
        `createFolder` in class `CDOTransferSystem`

    - #### createBinary

          public void createBinary(IPath path,
                                   java.io.InputStream source,
                                   IProgressMonitor monitor)

      Specified by:
        `createBinary` in class `CDOTransferSystem`

    - #### createText

          public void createText(IPath path,
                                 java.io.InputStream source,
                                 java.lang.String encoding,
                                 IProgressMonitor monitor)

      Specified by:
        `createText` in class `CDOTransferSystem`

    - #### saveModels

          public void saveModels(EList<Resource> resources,
                                 IProgressMonitor monitor)

      Overrides:
        `saveModels` in class `CDOTransferSystem`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html